/* Global */

.action.primary, .action-primary {
    border-radius: 2rem;
}

a.cta-button {
    border-radius: 2rem;
}

h1, .as-h1 {
    font-weight: var(--font-weight-bold);
}

/* Header */

span.action.nav-toggle {
    display: none;
}

.header.content .logo {
    padding-left: 0;
}

.catalog-category-view header.page-header {
    border-bottom: unset;
    -webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    margin-bottom: 0;
    position: relative;
}

/* Top ribbon */

.top-ribbon-content {
    max-width: calc(var(--width-content-max) - 4rem);
}

/*Home page */

.hp-section {
    margin-top: 4rem;
}

.hp-section h2 {
    font-weight: var(--font-weight-normal);
    position: relative;
    margin-right: 2rem;
}

.hp-section h2 span {
    background: #fff;
    z-index: 999;
    position: relative;
    padding-right: 2rem;
    color: var(--color-branding-secondary);
}

.hp-section h2:after {
    content: '';
    width: 100%;
    border-top: 1px solid var(--color-mid-gray);
    display: inline;
    position: absolute;
    top: 50%;
    left: 0;
}

.category-lanes .card .copy {
    text-align: center;
    width: calc(100% - 2rem);
}

.category-lanes .card {
    background: unset;
}

.category-lanes .card-set {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-end;
}

.category-lanes .card-set .card {
    width: 33%;
}



@media only screen and (min-width: 768px) {

    .category-lanes .card-set .card {
        width: 30%;
    }

}

@media only screen and (min-width: 1024px) {

    .category-lanes .card-set .card {
        width: 18%;
    }

    .page-products .products-grid .product-item, 
    .page-layout-1column .products-grid .product-item, 
    .page-layout-3columns .products-grid .product-item, 
    .page-products.page-layout-1column .products-grid .product-item, 
    .page-products.page-layout-3columns .products-grid .product-item {
        width: calc((100% - 12rem) / 4);
    }

}

/* Home page top banner */

.card.hp-top-banner {
    background: unset;
    margin-top: -2rem;
}

.hp-top-banner h1 {
    margin-bottom: var(--spacing__vertical--2);
    font-weight: var(--font-weight-bold);
}

.card h1 span {
    color: var(--color-branding-primary);
}


@media only screen and (min-width: 768px) {

    .hp-top-banner img {
        border-radius: 0rem;
    }

    .card.hp-top-banner {
        margin: 0 auto;
        width: 124rem;
        max-width: var(--width-content-max-calc);
    }

    .card.hp-top-banner .copy {
        padding: 2rem 2rem 2rem 0;
    }

}

/* Category top banners */

.card.category-top-banner {
    background: unset;
    margin-bottom: 2rem;
}

.card.category-top-banner h1 {
    color: var(--color-branding-primary);
    margin-bottom: 2rem;
}


/* Trust signals */

.trust-signal-inner {
    border-top: none;
    border-bottom: none;
}

.trust-signal-wrapper {
    background: var(--color-trust-signal-background);
    margin-top: 0rem;
    -webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    z-index: 9;
    position: relative;
}


/* Ribbon */

a.ribbon {
    width: 124rem;
    max-width: calc(100% - 4rem);
    box-sizing: border-box;
}

@media only screen and (min-width: 1024px) {

}

/* Footer */

.footer-content-wrapper {
    background: #fff;
    padding: 4rem 0;
}

.card.inline-img.full-width-ad {
    width: var(--width-content-max-calc);
    max-width: var(--width-content-max);
}

.page-bottom .full-width-ad .copy {
    color: var(--color-text);
}

.page-wrapper > .page-bottom .full-width-ad a.cta.alt {;
    border-radius: 2rem;
    color: var(--color-branding-secondary);
}

.page-wrapper > .page-bottom .full-width-ad a.cta.alt:hover {
    color: #fff;
}

.footer .copyright, .footer .bugs {
    display: block;
    margin: 0px 0 2rem;
}

.footer.content {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
}

/* Category page */

.products .product-items .product-item {
    text-align: center;
}

.sale-price-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media only screen and (min-width: 768px) {

    .page-products .products-grid .product-item, 
    .page-layout-1column .products-grid .product-item, 
    .page-layout-3columns .products-grid .product-item, 
    .page-products.page-layout-1column .products-grid .product-item, 
    .page-products.page-layout-3columns .products-grid .product-item {
        width: calc((100% - 8rem) / 3);
    }
    
}

/* Product page */

.action.primary, .action-primary, .gate input.submit, button#product-addtocart-button {
    background: var(--color-branding-primary);
    border: 1px solid var(--color-branding-primary);
    color: #fff;
    font-weight: 700;
    border-radius: 3rem;
    padding: 1rem 2rem;
}

.action.primary:hover, .action-primary:hover,
.gate input.submit:hover,
button#product-addtocart-button:hover {
    background: #fff;
    border: 1px solid var(--color-branding-primary);
    color: var(--color-branding-primary);
    transition: all 0.25s ease;
}

button#product-addtocart-button {
    margin-top: 3px;
}

.qty button {
    height: 4.2rem;
    position: relative;
}

.product-info-main .box-tocart .input-text.qty, .product-options-bottom .box-tocart .input-text.qty {
    height: 42px;
    text-align: center;
    width: 42px;
}

/* Success page */

.checkout-onepage-success .card {
    background: unset;
}

.checkout-onepage-success .top-container {
    background: unset;
    margin-bottom: 2rem;
}

.checkout-onepage-success .card {
    background: unset;
    border-bottom: 1px solid var(--color-light-gray);
    padding-bottom: 2rem;
}

.checkout-success .actions-toolbar {
    display: none;
}

.checkout-onepage-success header.page-header {
    border-bottom: unset;
    -webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    position: relative;
}

/* Gate */

.gate .flex-wrapper {
    display: flex;
    gap: 7rem;
    margin: 7rem auto;
    max-width: 80rem;
    align-items: center;
    justify-content: center;
}

.gate .copy {
    text-align: center;
}

.gate fieldset.fieldset {
    display: flex;
    flex-direction: row;
}

.welcome-index-index header.page-header {
    border-bottom: unset;
    -webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.25);
}

.welcome-index-index header.page-header {
    margin: 0;
    position: relative;
}

input#code {
    border-radius: 2rem;
    text-align: center;
}


/* Layered nav */

@media only screen and (min-width: 768px) {

    .block.filter.wraperdiv.active {
        border: 1px solid var(--color-mid-gray);
        border-radius: .5rem;
        padding: 2rem;
        border-top: .5rem solid var(--color-mid-gray);
    }

}

/* Weatherization callout */

.weatherization-callout {
    border: 1px solid var(--color-light-gray);
    padding: 1rem 2rem 2rem;
    border-radius: 2rem;
    margin: 4rem 0;
}

.weatherization-callout ul {
    margin-left: 1rem;
}

@media only screen and (min-width: 768px) {

    .weatherization-callout {
        padding: 1rem 4rem 2rem;
    }

}